// TResourceFactory.h: interface for the TResourceFactory class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TRESOURCEFACTORY_H__63957383_F314_11D2_A173_006008E88C8E__INCLUDED_)
#define AFX_TRESOURCEFACTORY_H__63957383_F314_11D2_A173_006008E88C8E__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "TPercept.h"

class TResource;

/*-----------------------------------------------------------------------------
Class   : TResourceFactory 
Date    : 15.04.99
-------------------------------------------------------------------------------
Base Class: TPercept
Description: _
-----------------------------------------------------------------------------*/

class TResourceFactory : public TPercept  
{
	public:
		TResourceFactory();
		virtual ~TResourceFactory();

		TResource*	AddResource(LPCTSTR name, CObject* pObj, PCallBackPerception pCallback, int iAmount);
		void			ReduceAllThresholds(double dDeltaTheta);
		void			ResetAllResourceUsages();
};

#endif // !defined(AFX_TRESOURCEFACTORY_H__63957383_F314_11D2_A173_006008E88C8E__INCLUDED_)
