// TScreenParamsNetwork.cpp: implementation of the TScreenParamsNetwork class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "TScreenParamsNetwork.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

TScreenParamsNetwork::TScreenParamsNetwork()
{
	m_tMiddle = CPoint(DEFAULT_MIDX, DEFAULT_MIDY);
	m_dScale = DEFAULT_SCALEX;
	m_tTranslate = CPoint(0, 0);
	m_bDrawNames = FALSE;
	m_bDrawActivations = FALSE;
	m_bDrawConnectionActivations = FALSE;
	m_bDrawActionHistory = FALSE;
	m_bDrawGoalTracking = FALSE;
	m_bDrawZeroLinks = FALSE;
	m_bJustDrawSelectedConnections = FALSE;
	m_bDrawSuccessors = TRUE;
	m_bDrawPredecessors = TRUE;
	m_bDrawConflictors = TRUE;
	m_bDrawResourceLinks = TRUE;
	m_iStretchX = 4;
	m_iStretchY = -10;
}

TScreenParamsNetwork::~TScreenParamsNetwork()
{
}

void TScreenParamsNetwork::SetParams(int sizex, int sizey, double scalex)
{
	m_tMiddle.x = sizex;
	m_tMiddle.y = sizey;
	m_dScale = scalex;
}

