// TAct.h: interface for the TAct class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TACT_H__B6B1C1C1_8CBF_11D1_B242_0000C09B5CBE__INCLUDED_)
#define AFX_TACT_H__B6B1C1C1_8CBF_11D1_B242_0000C09B5CBE__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000


class TAction;

/*-----------------------------------------------------------------------------
Class   : TAct
Date    : 08.01.98
-------------------------------------------------------------------------------
Base Class: CObject
Description: contains all actions of competence modules
-----------------------------------------------------------------------------*/

class TAct : public CObject
{
	public:
		TAct();
		virtual ~TAct();

		// public methods
		int		AddAction(LPCTSTR name, CObject* pObj, PCallBackAction pAction);
		TAction*	GetAction(LPCTSTR name);
		POSITION	GetFirstActionPosition() { return m_pActions->GetHeadPosition(); };
		TAction*	GetNextAction(POSITION& pos) { return (TAction*) m_pActions->GetNext(pos); };

	private:

		CObList*			m_pActions;
};

#endif // !defined(AFX_TACT_H__B6B1C1C1_8CBF_11D1_B242_0000C09B5CBE__INCLUDED_)
