// TCommandLine.h: interface for the TCommandLine class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TCOMMANDLINE_H__5FDAE721_C877_11D1_B242_0000C09B5CBE__INCLUDED_)
#define AFX_TCOMMANDLINE_H__5FDAE721_C877_11D1_B242_0000C09B5CBE__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define NO_DOUBLE		1000.0

class TCommandLine : public CCommandLineInfo  
{
	public:
		TCommandLine();
		virtual ~TCommandLine();
	
		virtual void	ParseParam( LPCTSTR lpszParam, BOOL bFlag, BOOL bLast );
		CString&			GetTeamname() { return m_strTeamname; };
		BOOL				GetHasTeamname() { return m_bHasTeamname; };
		int				GetType() { return m_iType; };
		BOOL				GetHasType() { return m_bHasType; };

	public:
		BOOL		m_isCoach;
		BOOL		m_isCoachOnline;
		BOOL		m_isReconnect;
		int			m_reconnectNumber;

		CString	m_strRuleFile;
		BOOL		m_bHasRuleFile;
		CString	m_strTeamname;
		BOOL		m_bHasTeamname;
		CString	m_strServerAddress;
		BOOL		m_bHasServerAddress;
		CString	m_strMonitorAddress;
		UINT		m_uiMonitorPort;
		BOOL		m_bHasMonitorAddress;
		int		m_iPort;
		BOOL		m_bHasPort;
		int		m_iType;
		BOOL		m_bHasType;
		BOOL		m_bHasGoalTracking;
		BOOL		m_bHasFuzzy;
		BOOL		m_bHasAdaptActivationArea;
		int		m_iAutorunID;
		int		m_iPlayerID;
		BOOL		m_bAutorun;

		BOOL		m_bHasPhi;
		double	m_dPhi;
		BOOL		m_bHasGamma;
		double	m_dGamma;
		BOOL		m_bHasDelta;
		double	m_dDelta;
		BOOL		m_bHasPi;
		double	m_dPi;
		BOOL		m_bHasTheta;
		double	m_dTheta;
		BOOL		m_bHasThetaReduction;
		double	m_dThetaReduction;
		BOOL		m_bHasFuzzyRound;
		double	m_dFuzzyRound;
};

#endif // !defined(AFX_TCOMMANDLINE_H__5FDAE721_C877_11D1_B242_0000C09B5CBE__INCLUDED_)
